### Method

# ECal ComponentPropertyBag free

since: 3.34

#### Declaration [src]

    void
    e_cal_component_property_bag_free (
      ECalComponentPropertyBag* bag
    )

#### Description [src]

Free `bag`, previously created by e_cal_component_property_bag_new(), `e_cal_component_property_bag_new_from_component()` or e_cal_component_property_bag_copy(). The function does nothing, if `bag` is `NULL`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`bag`

  Type: `ECalComponentPropertyBag`

  An `ECalComponentPropertyBag` to free.

  The argument can be `NULL`.